//
//  AWTimesheetCell.h
//  Timesheet
//
//  Created by Luke Gladding on 15/09/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Class.h"

typedef enum {
	AWTimesheetCellSetStartAndStopDraggingBehavior = 1,
	AWTimesheetCellSetStartDraggingBehavior,
	AWTimesheetCellSetStopDraggingBehavior
} AWTimesheetCellDraggingBehavior;

@interface AWTimesheetCell : NSSliderCell
{
	NSMutableArray * objects;
	
	float minValue;
	float maxValue;
	float precision;

	BOOL selected;
	int selectedIndex;
	int selectedValue;
}

- (void)drawObjectAtIndex:(int)index forFrame:(NSRect)frame inView:(NSView *)controlView;

- (NSArray *)objects;
- (void)setObjects:(NSArray *)array;

- (int)drawTypeForFrame:(NSRect)frame ofObjectAtIndex:(int)index;
- (NSRect)rectForFrame:(NSRect)frame forKey:(int)key ofObjectAtIndex:(int)index ;
- (float)valueForFrame:(NSRect)frame forKey:(int)key ofObjectAtIndex:(int)index;

- (int)indexOfObjectAtPoint:(NSPoint)point forFrame:(NSRect)frame ;
- (int)valueAtPoint:(NSPoint)point forObjectAtIndex:(int)index forFrame:(NSRect)frame;
- (void)setValue:(int)value forObjectAtIndex:(int)index fromPoint:(NSPoint)point withFrame:(NSRect)frame;

- (NSCalendarDate *)now;

@end
